package org.kldp.zeta.interpret4j.language;

/**
 * @author ni2
 * @version 0.1, 10/04/06
 * This code licensed under the terms of the LGPL.  See doc/LICENSE.
 */
public class BeanShellSupport implements ILanguageSupport{
	private static BeanShellSupport instance;
	private bsh.Interpreter bsh;
	
	public BeanShellSupport(){
		bsh = new bsh.Interpreter();
	}
	
	public static BeanShellSupport instance(){
		if(instance == null)
			instance = new BeanShellSupport();
		return instance;
	}

	public Object eval(String source) throws Exception {
		return bsh.eval(source);
	}

	public Object interpretFromFile(String fileName) throws Exception {
		return bsh.source(fileName);
	}

}
