package org.kldp.zeta.interpret4j.language;

import groovy.lang.GroovyShell;

import java.io.File;

/**
 * @author ni2
 * @version 0.1, 10/04/06
 * This code licensed under the terms of the LGPL.  See doc/LICENSE.
 * 
 * http://groovy.codehaus.org/Embedding+Groovy
 */
public class GroovySupport implements ILanguageSupport{
	private static GroovySupport instance;
	private GroovyShell groovy;
	
	public GroovySupport(){
		groovy = new GroovyShell();
	}
	
	public static GroovySupport instance(){
		if(instance == null)
			instance = new GroovySupport();
		return instance;
	}

	public Object eval(String source) throws Exception {
		return groovy.evaluate(source);
	}

	public Object interpretFromFile(String fileName) throws Exception {
		return groovy.evaluate(new File(fileName));
	}

}