package org.kldp.zeta.interpret4j.language;

import org.jatha.Jatha;
import org.kldp.zeta.interpret4j.Interpreter;

/**
 * @author ni2
 * @version 0.1, 10/04/06
 * This code licensed under the terms of the LGPL.  See doc/LICENSE.
 *
 * http://jatha.sourceforge.net/doc/faq.html
 * http://jatha.sourceforge.net/doc/api/
 */
public class LispSupport implements ILanguageSupport{
	private static LispSupport instance;
	private Jatha lisp;
	
	public LispSupport(){
		lisp = new Jatha(false, false);
		lisp.init();
		lisp.start();
	}
	
	public static LispSupport instance(){
		if(instance == null)
			instance = new LispSupport();
		return instance;
	}
	
	public Object eval(String source) throws Exception {
		return lisp.eval(source);
	}

	public Object interpretFromFile(String fileName) throws Exception {
		return eval(Interpreter.loadSource(fileName));
	}

}
