package org.kldp.zeta.interpret4j.language;

import tcl.lang.Interp;

/**
 * @author ni2
 * @version 0.1, 10/04/06
 * This code licensed under the terms of the LGPL.  See doc/LICENSE.
 *
 * http://tcljava.sourceforge.net/docs/website/getstart.html
 */
public class TclSupport implements ILanguageSupport{
	private static TclSupport instance;
	private Interp tcl;
	
	public TclSupport(){
		tcl = new Interp();
	}
	
	public static TclSupport instance(){
		if(instance == null)
			instance = new TclSupport();
		return instance;
	}
	
	public Object eval(String source) throws Exception {
		tcl.eval(source);
		return tcl.getResult();
	}

	public Object interpretFromFile(String fileName) throws Exception {
		tcl.evalFile(fileName);
		return tcl.getResult();
	}

}
