package net.kldp.zeta.wherithlov;

import net.kldp.zeta.commons.resource.Messages;
import net.kldp.zeta.wherithlov.manager.Configs;
import net.kldp.zeta.wherithlov.ui.Frame;
import net.kldp.zeta.wherithlov.ui.MainPane;

/**
 * @author ni2 (netisinfinite@gmail.com)
 * @version 0.3 06/12/09
 * This code licensed under the terms of the GPL.  See doc/LICENSE.
 */
public class Application {
	public Application(){
		//시스템을 조사하고 저장된 설정값을 불러들인다.
		Configs.init();
		
		//메인 패널을 생성한다.
		MainPane pane = new MainPane();
		Frame frame = new Frame(Messages.get("Title"), pane);
		frame.pack();
		frame.setSize(500, 600);
		frame.setVisible(true);
		
		//연결정보 창을 보여준다.
		frame.showConnectionDialog();
	}
}
