package net.kldp.zeta.wherithlov.data;

/**
 * 메시지 전송자를 의미한다.
 * 
 * @author ni2 (netisinfinite@gmail.com)
 * @version 0.1 11/25/06
 * This code licensed under the terms of the GPL.  See doc/LICENSE.
 */
public class Sender {
	public final String nick;
	public final String login;
	public final String host;
	
	public Sender(String nick, String login, String host){
		this.nick = nick;
		this.login = login;
		this.host = host;
	}
	
	/**
	 * 다음과 같은 문자열을 반환한다.
	 * tester (tester@email.com)
	 * @return 완성된 문자열.
	 */
	public String getInfoString(){
		StringBuilder sb = new StringBuilder();
		sb.append(nick);
		sb.append("(");
		sb.append(login);
		sb.append("@");
		sb.append(host);
		sb.append(")");
		return sb.toString();
	}
}
