package net.kldp.zeta.wherithlov.data;

import org.apache.commons.lang.StringUtils;

/**
 * @author ni2 (netisinfinite@gmail.com)
 * @version 0.1 11/25/06
 * This code licensed under the terms of the GPL.  See doc/LICENSE.
 */
public class Server{
	public String host;
	public int port;
	public String encoding;
	
	public Server(String host, int port, String encoding){
		this.host = host;
		this.port = port;
		this.encoding = encoding;
	}

	public boolean isFilled() {
		return (StringUtils.isNotBlank(host) && port > 0) ? true : false;
	}
	
	public boolean equals(Server server){
		return (server.host.equals(host) && server.port == port) ? true : false;
	}
}
