package net.kldp.zeta.wherithlov.manager;

import net.kldp.zeta.wherithlov.data.Channel;
import net.kldp.zeta.wherithlov.data.IConnectionListener;
import net.kldp.zeta.wherithlov.data.Player;
import net.kldp.zeta.wherithlov.data.Server;

public interface IrcConnection {
	public boolean connect(Player player, Server server, String[] channels);
	public boolean isConnected();
	public String getServer();
	public String getName();
	public String getLogin();
	public IrcClient getListener();
	public boolean joinChannel(Channel channel);
	public void sendMessage(String target, String message);
	public void addConnectionMessageListener(IConnectionListener listener);
	public void recieveConnectionMessage(String message);
	public void partChannel(String channelName);
	public void quitServer(String message);
}
