package net.kldp.zeta.commons.resource;

import java.io.UnsupportedEncodingException;
import java.util.ResourceBundle;

/**
 * @author ni2
 * @version 0.2, 12/06/06
 * This code licensed under the terms of the LGPL.  See doc/LICENSE.
 */
public class Messages {
	public static final ResourceBundle BUNDLE = ResourceBundle.getBundle("resources.messages.message");
	public static final String SRC_CHARSET = "8859_1";
	public static final String DEST_CHARSET = "utf-8";
	
	public static final String get(String key){
		try {
			return new String(BUNDLE.getString(key).getBytes(SRC_CHARSET), DEST_CHARSET);
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		return null;
	}
}