package org.kldp.zeta.interpret4j.language;

import org.python.util.PythonInterpreter;

/**
 * @author ni2
 * @version 0.1, 10/04/06
 * This code licensed under the terms of the LGPL.  See doc/LICENSE.
 *
 * file:///C:/jython_21/Doc/javadoc/org/python/util/PythonInterpreter.html
 * file:///C:/jython_21/Doc/embedding.html
 */
public class PythonSupport implements ILanguageSupport{
	private static PythonSupport instance;
	private PythonInterpreter python = new PythonInterpreter();
	
	public PythonSupport(){}
	
	public static PythonSupport instance(){
		if(instance == null)
			instance = new PythonSupport();
		return instance;
	}
	
	public Object eval(String source) throws Exception {
		return python.eval(source);
	}

	//FIXME return
	public Object interpretFromFile(String fileName) throws Exception {
		python.execfile(fileName);
		return null;
	}

}
