package ni2.likewind;

import ni2.likewind.ui.Wind;

import org.apache.commons.cli.CommandLine;
import org.apache.commons.cli.CommandLineParser;
import org.apache.commons.cli.HelpFormatter;
import org.apache.commons.cli.Options;
import org.apache.commons.cli.ParseException;
import org.apache.commons.cli.PosixParser;

/**
 * @author ni2 (netisinfinite@gmail.com)
 * @version 0.1 11/14/06
 * This code licensed under the terms of the GPL.  See doc/LICENSE.
 */
public class Main {
	public static void main(String args[]) throws ParseException{

		Options options = new Options();
		
		options.addOption("h", "help", false, "print this message");
		//options.addOption("t", "type", true, "type");
		//options.addOption("f", "file", true, "file");
		//options.addOption("d", "directory", true, "directory");
		CommandLineParser parser = new PosixParser();
		CommandLine cmd = parser.parse(options, args);
		
		if(cmd.hasOption("h")){
			new HelpFormatter().printHelp("w", options, true);
			return;
		}else{
			Wind w = new Wind();
			for(String s : cmd.getArgs()){
				try{
					//TODO 여러 개의 파일 열기 지원
					w.openFile(s);
				}catch(NullPointerException e){
					System.out.println(s + " : UNSUPPORTED FILE TYPE.");
				}
			}
			w.mainLoop();
		}
	}
}
