package ni2.likewind.ui;

import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

/**
 * @author ni2 (netisinfinite@gmail.com)
 * @version 0.1 11/14/06
 * This code licensed under the terms of the GPL.  See doc/LICENSE.
 */
public class StatusBar {
	private Label label;
	
	public StatusBar(Composite parent, int style){
		label = new Label(parent, style);
		reset();
	}
	
	public void setLayoutData(GridData data){
		label.setLayoutData(data);
	}
	
	private StringBuilder status;
	public void putMessage(String message){
		status.append(message);
	}
	
	public void putSize(int x, int y){
		status.append(", ");
		status.append(x);
		status.append("x");
		status.append(y);
	}
	
	public void putIndex(int count, int index){
		status = new StringBuilder();
		if(count != -1){
			index++;
			status.append("(");
			status.append(count);
			status.append("/");
			status.append(index);
			status.append(") ");
		}
	}
	
	public void apply(){
		label.setText(status.toString());
	}
	
	public void reset(){
		label.setText("준비됨");
	}
}
