package net.kldp.zeta.monimoni.action;

import net.kldp.zeta.commons.resource.Messages;
import net.kldp.zeta.monimoni.ui.dialog.LoginDialog;

import org.eclipse.jface.window.Window;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Tree;

public class LoginWikiAction extends AbstractWikiAction {
	
	public LoginWikiAction(Tree tree){
		super(tree, true, true);
		setText(Messages.get("LoginWikiText"));
		setToolTipText(Messages.get("LoginWikiToolTipText"));
	}
	
	@Override
	public void run(){
		LoginDialog dlg = new LoginDialog(
				Display.getCurrent().getActiveShell());
		if(dlg.open() == Window.OK){
			selectedWiki.getClient().login(dlg.getId(), dlg.getPassword());
		}
	}
}
