package net.kldp.zeta.monimoni.action;

import net.kldp.zeta.commons.resource.Messages;
import net.kldp.zeta.monimoni.data.Wiki;
import net.kldp.zeta.monimoni.manager.WikiManager;

import org.eclipse.swt.widgets.Tree;
import org.eclipse.swt.widgets.TreeItem;

public class RemoveWikiAction extends AbstractWikiAction{
	private Tree tree;
	
	public RemoveWikiAction(Tree tree){
		super(tree, true, false);
		this.tree = tree;
		setText(Messages.get("RemoveWikiText"));
		setToolTipText(Messages.get("RemoveWikiToolTipText"));
	}
	
	@Override
	public void run(){
		WikiManager manager = WikiManager.instance();
		for(TreeItem item : tree.getSelection()){
			manager.remove((Wiki) item.getData());
		}
		
	}
}
