package net.kldp.zeta.wherithlov.data;

import org.apache.commons.lang.StringUtils;

/**
 * @author ni2 (netisinfinite@gmail.com)
 * @version 0.1 11/25/06
 * This code licensed under the terms of the GPL.  See doc/LICENSE.
 */
public class Player{
	private String nick;
	private String login;
	
	public Player(String nick, String login){
		this.nick = nick;
		this.login = login;
	}

	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public String getNick() {
		return nick;
	}

	public void setNick(String nick) {
		this.nick = nick;
	}

	public boolean isFilled() {
		return (StringUtils.isNotBlank(login) && StringUtils.isNotBlank(login)) ? true : false;
	}
	
	public boolean equals(Sender sender){
		/*
		 * TODO Login, Host까지 체크할 것
		 * (PircBotWrapper의 LovSender 생성 부분도 같이 변경하되,
		 * 변경 전에 Login과 Host값이 제대로 넘어오는지 반드시 확인할것)
		 */
		return (sender.nick.equals(nick)) ? true : false;
	}
}
