package net.kldp.zeta.wherithlov.ui;

import java.awt.Container;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;

public class Frame extends JFrame{
	private static final long serialVersionUID = 1L;

	public Frame(String title, Container contentPane){
		setTitle(title);
		setContentPane(contentPane);
		
		if(contentPane instanceof MainPane)
			this.addWindowListener((MainPane)contentPane);
		
		addWindowListener(new WindowAdapter(){
			public void windowClosing(WindowEvent e){
				//TODO 이 메서드가 실행되기 전에 선행 작업이 모두 종료되는지 확인이 필요하다.
				System.exit(0);
			}
		});
	}

	/**
	 * 접속 정보를 입력할 수 있는 다이얼로그를 생성한다.
	 * @param parent
	 * @return
	 */
	public void showConnectionDialog(){
		ConnectionDialog dialog = new ConnectionDialog(this);
		
		Container pane = getContentPane();
		if(pane instanceof MainPane)
			((MainPane)pane).connect(dialog);
		
		dialog.setVisible(true);
	}
}
